Skip to main content
GET
/
users
/
{handle}
/
classrooms
Get Classrooms By User
curl --request GET \
  --url https://codecombat.com/api/users/{handle}/classrooms \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://codecombat.com/api/users/{handle}/classrooms"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://codecombat.com/api/users/{handle}/classrooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "_id": "<string>",
    "name": "<string>",
    "members": [
      "<string>"
    ],
    "ownerID": "<string>",
    "description": "<string>",
    "code": "<string>",
    "codeCamel": "<string>",
    "courses": [
      {
        "_id": "<string>",
        "levels": [
          {}
        ],
        "enrolled": [
          "<string>"
        ],
        "instance_id": "<string>"
      }
    ],
    "clanId": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

handle
string
required

The document's _id or slug.

Query Parameters

retMemberLimit
number<double> | null

limit the return number of members for each classroom

Response

200 - application/json

The requested classrooms

_id
string | null
name
string | null
members
string[] | null
ownerID
string | null
description
string | null
code
string | null
codeCamel
string | null
courses
ClassroomResponseWithCodeCoursesItem · object[] | null
clanId
string | null